> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/get-all-plan-categories.md).

# Get all Plan categories

Endpint:\
Request: GET /masters/planCategories?billerId=HUNG00000NA

#### Request body

<table><thead><tr><th width="244">Parent Property/Element</th><th width="216">Property/Element Name</th><th width="121">Mandatory</th><th width="166">Data type</th><th width="168">Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>billerId</td><td>M</td><td>Alphanumeric</td><td>Fixed Length – 14</td></tr></tbody></table>

#### Response body

<table><thead><tr><th width="235">Parent Property/Element</th><th width="232">Property/Element Name</th><th width="146">Mandatory</th><th width="122">Data Type</th><th width="341">Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>categoryRespList</td><td>M</td><td>List</td><td>List of categories</td></tr><tr><td>generalResp</td><td>statusCode</td><td>M</td><td>Numeric</td><td>200- SUCCESS Other than 200-Failure</td></tr><tr><td></td><td>status</td><td>M</td><td>String</td><td>It is either “Success” or failure</td></tr><tr><td></td><td>message</td><td>M</td><td>String</td><td>Contains the reason message for failure / success</td></tr><tr><td></td><td>remarks</td><td>C</td><td>String</td><td></td></tr></tbody></table>

```json
{
    "generalResp": {
        "statusCode": "200",
        "status": "success",
        "message": "Categories retrieved successfully",
        "remarks": ""
    },
    "categoryRespList": [
        "Music"
    ]
}
```
